# $Revision: 1.16 $, $Date: 2008/10/03 17:48:34 $

%define		module	dns

Summary:	dnspython - a DNS toolkit for Python
Summary(pl.UTF-8):	dnspython - zestaw narzędzi do DNS dla Pythona
Name:		python-%{module}
Version:	1.6.0
Release:	2
License:	distributable
Group:		Development/Languages/Python
Source0:	http://www.dnspython.org/kits/%{version}/dnspython-%{version}.tar.gz
# Source0-md5:	15b8eed42689bd719ec1878a584787ea
URL:		http://www.dnspython.org/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dnspython is a DNS toolkit for Python. It supports almost all record
types. It can be used for queries, zone transfers, and dynamic
updates. It supports TSIG authenticated messages and EDNS0.

dnspython provides both high and low level access to DNS. The high
level classes perform queries for data of a given name, type, and
class, and return an answer set. The low level classes allow direct
manipulation of DNS zones, messages, names, and records.

%description -l pl.UTF-8
dnspython to zestaw narzędzi do DNS dla Pythona. Obsługuje prawie
wszystkie rodzaje rekordów. Może być używany do zapytań, transferów
stref oraz dynamicznych uaktualnień. Obsługuje uwierzytelnione
komunikaty TSIG oraz EDNS0.

dnspython dostarcza zarówno wysoko- jak i niskopoziomowy dostęp do
DNS-a. Klasy wysokopoziomowe wykonują zapytania o dane dla podanej
nazwy, rodzaju i klasy, a zwracają zbiór odpowiedzi. Klasy
niskopoziomowe umożliwiają bezpośrednie manipulacje na strefach,
komunikatach, nazwach i rekordach w DNS-ie.

%prep
%setup -q -n dnspython-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE ChangeLog README TODO
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/*.egg-info
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-dns.spec,v $
Revision 1.16  2008/10/03 17:48:34  arekm
- release 2

Revision 1.15  2008-06-09 21:36:47  qboosh
- python 2.5 for .egg-info
- BR: pythonprov

Revision 1.14  2008-06-08 12:53:44  arekm
- up to 1.6.0

Revision 1.13  2007/02/13 08:06:42  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.11  2006/10/08 20:08:08  qboosh
- updated to 1.4.0

Revision 1.10  2006/09/27 20:21:52  wrobell
- rel. 3 to rebuild with python 2.5 (final)

Revision 1.9  2006/08/28 05:50:10  freetz
- rel.2 for rebuild with new python

Revision 1.8  2005/11/02 21:43:19  arekm
- up to 1.3.5

Revision 1.7  2005/08/13 16:17:52  arekm
- up to 1.3.4

Revision 1.6  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.5  2005/02/28 10:10:36  czucz
- updated to 1.3.3

Revision 1.4  2004/12/23 20:38:48  saq
- release 2 for rebuild with python 2.4

Revision 1.3  2004/12/20 20:30:39  qboosh
- pl

Revision 1.2  2004/12/19 05:55:26  ankry
- formatting

Revision 1.1  2004/12/18 20:07:14  jajcus
- new spec
